Subject: bug#56311: [PATCH] new function: delete-visited-file

From: Visuwesh <[email-masked]>
Date: Thu, 30 Jun 2022 11:50:50 +0530

[வியாழன் ஜூன் 30, 2022] Eli Zaretskii wrote:

> Apart of that, I have no opinion about this proposal, although each
> time I see suggestions for features to kill unused buffers or see
> people who are worried about such buffers, I raise a brow: in Emacs,
> we generally don't care about that (because it does no harm to have
> unused buffers), and if someone's usage patterns are such that they
> tend to create _gobs_ of large buffers most of which quickly become
> unused, there's midnight.el to take care of that.

FWIW, the fact that Emacs leaves the buffer around has saved my back at
least twice,

    . when I accidentally deleted the wrong files in dired due to
      stale marks.
    . when I tried to fix a broken symlink but got the argument order in
      ln wrong and had the real file "zeroed".